# Remember several build options.
set(heyoka_WITH_SLEEF ON)
set(heyoka_WITH_MPPP ON)
set(heyoka_WITH_REAL128 OFF)
set(heyoka_WITH_REAL true)
set(heyoka_ABI_VERSION 22)

# Mandatory public dependencies on Boost and fmt.
find_package(Boost 1.69 REQUIRED serialization)
find_package(fmt REQUIRED CONFIG)

# Optional public dependency on mp++.
if(${heyoka_WITH_MPPP})
    find_package(mp++ REQUIRED CONFIG)
    if(${mp++_VERSION} VERSION_LESS 0.27)
        message(FATAL_ERROR "mp++ >= 0.27 is required.")
    endif()
endif()

# Record the LLVM major version against which
# heyoka was built.
set(heyoka_LLVM_VERSION_MAJOR 15)

# Get current dir.
get_filename_component(_HEYOKA_CONFIG_SELF_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

include(${_HEYOKA_CONFIG_SELF_DIR}/heyoka_export.cmake)

# Clean up.
unset(_HEYOKA_CONFIG_SELF_DIR)
